This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 690110 - Group Tree: Right click menu option 'Resource configuration' navigates to Inventory->connection properties
Group Tree: Right click menu option 'Resource configuration' navigates to Inv...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
:
Depends On:
Blocks: rhq4 gwt-tree
  Show dependency treegraph
 
Reported: 2011-03-23 07:29 EDT by Sunil Kondkar
Modified: 2011-05-23 21:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:08:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sunil Kondkar 2011-03-23 07:29:58 EDT
Description of problem:

Right click menu option for a group tree has a link 'Resource configuration'. Clicking this link navigates to Inventory->connection properties. It should navigate to the 'Configuration'->Current tab of the resource group.

Version-Release number of selected component (if applicable):

Build#1090 (Version: 4.0.0-SNAPSHOT Build Number: f19c23e)

How reproducible:

Always

Steps to Reproduce:


1) Login to RHQ.

2) Create a compatible group of resources(Ex: RHQ Agent )

3) Click on the group link in the compatible groups list

4) Right click to the group name in group tree.

5) Click on the right click option 'Resource Configuration'.
  
Actual results:

Right click menu option 'Resource configuration' navigates to Inventory->connection properties for a group tree.

Expected results:

Right click menu option 'Resource configuration' should navigate to Configuration->Current tab.

Additional info:

This is working fine for resource tree. Right click menu option 'Resource configuration' navigates to Configuration->Current tab.
Comment 1 John Mazzitelli 2011-03-23 10:07:01 EDT
fixed... commit 3cd15d95af19b8d07e537898f0fe6acb80478ae9
Comment 2 Sunil Kondkar 2011-04-06 05:41:56 EDT
Verified on build#1125 (Version: 4.0.0-SNAPSHOT Build Number: 3447a66)

Right click menu option 'Resource configuration' for a group tree navigates to Configuration->Current tab. 

Marking as verified.
Comment 3 Corey Welton 2011-05-23 21:08:22 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.